//------------------------------------------------------------------------------
// Guitar Practice
//------------------------------------------------------------------------------
//
//	Version:		1.0
//
//	Synopsis:		The guitar practice about form.
//
//	Description:   	This unit implements the about form of the
//                 guitar practice system
//
// Created:		FeMann
// Date:			30.08.2009
//
// (c) Copyright by FeMann.
// All rights reserved.
//
//

unit UFrmGuitarPracticeAbout;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, ShellApi;

type
	// The guitar practice about form
	//
	TFrmGuitarPracticeAbout = class(TForm)
		pnlBase: TPanel;
		lblGuitarPractice: TLabel;
		imgGuitarPractice: TImage;
		lblVersion: TLabel;
		lblCopyright: TLabel;
		lblHome: TLabel;
		lblEMail: TLabel;
		lblDedication: TLabel;
		memHistory: TMemo;
		lblFreeware: TLabel;
		procedure FormCreate(Sender: TObject);
		procedure lblEMailClick(Sender: TObject);
		procedure lblHomeClick(Sender: TObject);
	// Private declarations
	private
	// Public declarations
	public
	end;

var
  FrmGuitarPracticeAbout: TFrmGuitarPracticeAbout;

implementation

uses
	CGPConst;

{$R *.dfm}

//------------------------------------------------------------------------------
// Form creation and destruction
//------------------------------------------------------------------------------

// Form create notification
//
procedure TFrmGuitarPracticeAbout.FormCreate(Sender: TObject);
begin
	lblVersion.Caption := 'Version ' + GP_VERSION + ' (Build ' + GP_BUILD + ')';
	lblCopyright.Caption := '(c) by' + GP_AUTHOR;
	lblHome.Caption := 'Home: ' + GP_HOME;
	lblEMail.Caption := 'Contact: ' + GP_EMAIL;
end;

//------------------------------------------------------------------------------
// Control events
//------------------------------------------------------------------------------

// Execute the EMail
//
procedure TFrmGuitarPracticeAbout.lblEMailClick(Sender: TObject);
begin
	// Execute the email
	ShellExecute(Application.Handle,'open',PChar('mailto:' + GP_EMAIL),nil,nil,SW_SHOWNORMAL);
end;

procedure TFrmGuitarPracticeAbout.lblHomeClick(Sender: TObject);
begin
   // Execute the url
	ShellExecute(Application.Handle,'open',PChar(GP_HOME),nil,nil,SW_SHOWNORMAL);
end;

end.
